public final class Hijo extends Padre
// Hijo ya no puede heredar
{
	private float x;
	
	public Hijo()
	{
		super(); // Invoca al constructor del padre
		x = 0.0f;
	}
	
	public Hijo(int a, float x)
	{
		super(a);
		this.x =x;
	}
	
	public Hijo (int a, int b, float x)
	{
	/*	super (a);
		//this.a = a;
		// Se genera error, porque la variabla a es privada
		this.b = b;
	*/
		super(a,b);
		this.x = x;
	}
	
	public float cuadrado()
	{
		//return (float)Math.pow(x,2);
		return x*x;
	}
	
	public float raiz()
	{
		return (float)Math.sqrt(b);
	}
	
	public String toString()
	// Ensombrecer el metodo toString del padre
	{
		String cad = super.toString();
		return cad+"\nValor de b: "+b+"\nValor de x: "+x;
	}
}
